ormolu-0.7.2.0: A formatter for Haskell source code

Safe Haskell | Safe-Inferred
Language | GHC2021

Ormolu.Printer.Meat.Declaration.Data

Description

Renedring of data type declarations.

# Documentation

p_dataDecl Source #

Arguments

:: FamilyStyle | Whether to format as data family
-> LocatedN RdrName | Type constructor
-> HsTyPats GhcPs | Type patterns
-> LexicalFixity | Lexical fixity
-> HsDataDefn GhcPs | Data definition
-> R () |